import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/dmPlateNumber',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmPlateNumber/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmPlateNumber',
    method: 'put',
    data
  })
}

/* 多表查询 */
export function getQuery() {
  return request({
    url: 'api/dmPlateNumber/getQuery',
    method: 'post'
  })
}

/* 搜索框查询 */
export function findAllBysousuo(params) {
  return request({
    url: 'api/dmPlateNumber/findAllBysousuo',
    method: 'post',
    params
  })
}

/* 根据一卡通卡号查询 */
export function findDmPlateNumberByCardNumber(params) {
  return request({
    url: 'api/dmPlateNumber/findDmPlateNumberByCardNumber',
    method: 'post',
    params
  })
}

export default { add, getQuery, findDmPlateNumberByCardNumber, edit, del, findAllBysousuo }
